Subject: Re: bug#31719: icedtea-3 binaries contain references to icedtea-2
From: Ludovic Courtès <[email-masked]>
To: Carlo Zancanaro <[email-masked]>
Cc: [email-masked]
Date: Wed, 21 Apr 2021 14:40:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Carlo Zancanaro <[email-masked]> skribis:

> On 21 April 2021 2:38:56 am AEST, "Ludovic Courtès" <[email-masked]> wrote:
>>Sounds good?
>
> Sounds good, except I don't have commit privileges. 😊 Can someone else push it for me?

Oops!  I adjusted the patch so it would apply to ‘master’, and followed
up with two commits:

  f8acd1aeef gnu: openjdk: Disallow references to the JDK used for build.
  e511a1d327 gnu: openjdk: Avoid non-top-level 'use-modules'.
  698c4365ba gnu: openjdk: Fix library substitution when libraries aren't found.

I rebuilt everything up to openjdk@11.

Thanks!

Ludo’.